"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _CalendarContext = require("../CalendarContext");
var _enums = require("../enums");
var _Header = _interopRequireDefault(require("./Header"));
var _YearSelector = _interopRequireDefault(require("./YearSelector"));
var _MonthSelector = _interopRequireDefault(require("./MonthSelector"));
var _DaySelector = _interopRequireDefault(require("./DaySelector"));
var _TimeSelector = _interopRequireDefault(require("./TimeSelector"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const Calendar = () => {
  const {
    calendarView,
    mode
  } = (0, _CalendarContext.useCalendarContext)();
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.container
  }, mode !== 'time' ? /*#__PURE__*/_react.default.createElement(_Header.default, null) : null, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.calendarContainer
  }, calendarView === _enums.CalendarViews.year ? /*#__PURE__*/_react.default.createElement(_YearSelector.default, null) : calendarView === _enums.CalendarViews.month ? /*#__PURE__*/_react.default.createElement(_MonthSelector.default, null) : calendarView === _enums.CalendarViews.day ? /*#__PURE__*/_react.default.createElement(_DaySelector.default, null) : /*#__PURE__*/_react.default.createElement(_TimeSelector.default, null)));
};
const styles = _reactNative.StyleSheet.create({
  container: {
    width: '100%'
  },
  calendarContainer: {
    height: 300,
    alignItems: 'center'
  }
});
var _default = Calendar;
exports.default = _default;
//# sourceMappingURL=Calendar.js.map