"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _CalendarContext = require("../CalendarContext");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const YearSelector = () => {
  const {
    utils,
    currentDate,
    selectedDate,
    onSelectYear,
    theme
  } = (0, _CalendarContext.useCalendarContext)();
  const rowArray = [1, 2, 3];
  const colArray = [1, 2, 3, 4];
  const currentYear = utils.getDateYear(currentDate);
  const selectedYear = utils.getDateYear(selectedDate);
  let year = 12 * Math.ceil(currentYear / 12) - 12;
  if (year < 0) year = 0;
  function generateColumns() {
    const column = rowArray.map(() => {
      const cellYear = year++;
      const activeItemStyle = cellYear === selectedYear ? {
        borderColor: (theme === null || theme === void 0 ? void 0 : theme.selectedItemColor) || '#0047FF',
        backgroundColor: (theme === null || theme === void 0 ? void 0 : theme.selectedItemColor) || '#0047FF'
      } : null;
      const textStyle = cellYear === selectedYear ? {
        color: '#fff',
        ...(theme === null || theme === void 0 ? void 0 : theme.selectedTextStyle)
      } : theme === null || theme === void 0 ? void 0 : theme.calendarTextStyle;
      return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
        key: cellYear,
        onPress: () => onSelectYear(cellYear),
        style: styles.yearCell
      }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
        style: [styles.year, theme === null || theme === void 0 ? void 0 : theme.yearContainerStyle, activeItemStyle]
      }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
        key: cellYear,
        style: textStyle
      }, cellYear)));
    });
    return column;
  }
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.container
  }, colArray.map(index => /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    key: index,
    style: styles.yearsRow
  }, generateColumns())));
};
const styles = _reactNative.StyleSheet.create({
  container: {
    flex: 1,
    alignItems: 'center',
    justifyContent: 'center',
    margin: 5
  },
  yearCell: {
    width: '33.3%'
  },
  yearsRow: {
    flexDirection: 'row'
  },
  year: {
    paddingVertical: 15,
    margin: 2,
    alignItems: 'center',
    borderWidth: 1,
    borderRadius: 8,
    borderColor: '#E5E5E5',
    backgroundColor: '#FFFFFF'
  }
});
var _default = YearSelector;
exports.default = _default;
//# sourceMappingURL=YearSelector.js.map